function onBegin()
	
	disableMovement()
	disableRetry()
	if not (getFlag("Ch4_EXXENIAKEY02")) then
		makeUnskippable()
	end
	player.ForceCameraUpdate = true
	wait(1.0)
	say("KtA_CTSD_Concept06_00")
	
end

function onEnd(room, wasSkipped)
	enableMovement()
	enableRetry()
	setFlag("startflashback",true)
end